package com.inkasso.adapter.exception.enums;

import com.inkasso.adapter.exception.AbstractBaseException;
import lombok.Getter;

/**
 * @author 张超
 * @date 2021/9/23
 */
@Getter
public enum ExceptionEnum implements AbstractBaseException {

  SYSTEM_DATE_ERROR("数据不存在请刷新页面","000002"),

  SYSTEM_ERROR("系统异常", "000000"),

  IN_ANNOTATION_ERROR("@in注解使用方法错误", "000001"),

  PARAM_ERROE("参数错误","000004"),

  ACCESS_ERROR("无效凭证","000003"),

  REQUEST_TOO_MUCH("当前请求用户过多请稍后再试","000005"),

  REMOTE_REQUET_ERROR("远程调用异常","000006"),

  NO_PERMISSION("权限异常","000007"),

  SAME_REQUEST("请勿重复请求","000008");


  /**
   * 错误消息
   */
  private String message;


  /**
   * 业务编码
   */
  private String serviceCode;


  ExceptionEnum(String message, String serviceCode) {
    this.message = message;
    this.serviceCode = serviceCode;
  }


}
